Forum Stats

  • 3,853,257 Users
  • 2,264,198 Discussions
  • 7,905,296 Comments

Discussions

How to downgrade library libaio* on oracle linux 8.6 server to oracle linux 7 version

User_GSQTY
User_GSQTY Member Posts: 118 Silver Badge
edited Aug 17, 2022 7:21PM in Oracle Linux

I'm not a linux sysadmin.

I'm a DBA working on upgrade old oracle database 11.2.0.4 database on Oracle linux 6 server to oracle database 19c on Oracle linux 8 server.

My goal is to install oracle database 11.2.0.4 on Oracle linux 8 ( 8.6 in my case ) and then upgrade database to 19c.

During the installation of oracle database software 11.2.0.4 I got the following error :

INFO: Linking /u05/app/oracle/product/11.2.0/db01/precomp/lib/proc
INFO: //usr/lib64/libaio.so.1: undefined reference to `[email protected]_2.4'
INFO: collect2: error: ld returned 1 exit status

According to the following article https://blogs.dbcloudsvc.com/oracle/install-oracle-11gr2-on-rhel8/ : downgrading library libaio* would help the link process.

My question:

1) How can I downgrade library libaio* on Oracle linux 8 server to oracle linux 7 version ?

I would appreciate answers with details command please ( again I'm not a linux sysadmin )

2) Can I have 2 different versions of library libaio* on the same server ( I would need the linux 8 version for oracle database 19 later on ) , and how can I switch from 1 version to another ( I presume that it would be with symbolic link ) ?

Thanks